View Issue Details

IDProjectCategoryView StatusLast Update
14094Bug reports[All Projects] Response browsingpublic2018-10-05 15:48
ReporterTonisOrmissonAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.14.x 
Target VersionFixed in Version3.14.x 
Summary14094: Token modal not opening while having filters in responses view
Description

Token modal is not popping up if any filters are applied to the view-responses grid

Steps To Reproduce

Open view responses on a survey with tokens.

Click on any of the tokens in the grid.

The Token modal opens. A->OK.

Now set some filter to the grid.

Click on any of the tokens in the grid.

Nothing pops up!

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.10
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionn/a
Operating System (Server)n/a
Webserver software & versionFF 62
PHP Versionn/a

Activities

guest

guest

2018-10-05 15:46

viewer   ~49257

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28242

Related Changesets

LimeSurvey: master 34d3c983

2018-10-05 15:46:20

Dominik Vitt

Details Diff
Fixed issue 14094: Token modal not opening while having filters in responses view
mod - application/views/admin/responses/listResponses_view.php Diff File
mod - assets/scripts/admin/tokens.js Diff File

Issue History

Date Modified Username Field Change
2018-09-25 08:36 TonisOrmisson New Issue
2018-10-04 17:37 dominikvitt Assigned To => dominikvitt
2018-10-04 17:37 dominikvitt Status new => confirmed
2018-10-05 15:46 Changeset attached => LimeSurvey master 34d3c983
2018-10-05 15:46 guest Note Added: 49257
2018-10-05 15:46 guest Resolution open => fixed
2018-10-05 15:48 dominikvitt Status confirmed => resolved
2018-10-05 15:48 dominikvitt Fixed in Version => 3.14.x